#!/bin/sh
#------------------------------------------------------------------------------
# opt/files/srv/www/admin/alix.cgi                                 3.2.1
#
# Creation:     gdw
# Last Update:  $Id: alix.cgi 14401 2008-02-08 10:35:11Z jw5 $
#------------------------------------------------------------------------------

. /srv/www/include/cgi-helper
# Security
check_rights "embedded" "view"

. /var/run/embedded.conf

i2c_get_temperature
set `echo $temperature | sed -e 's#/# #'`
cpu=$1
pcb=$2

show_html_header "ALIX"
show_tab_header "Temperatur" no

cat <<EOF
<table border='1'>
<tr>
    <th>Temp</th>
</tr>
<tr align='center'>
    <td>CPU: $cpu &deg;C</td>
</tr>
<tr align='center'>
    <td>PCB: $pcb &deg;C</td>
</tr>
</table>
EOF

show_tab_footer
show_html_footer
